Package com.verisign.epp.codec.registry

## Class EPPRegistryDomainHostLimit

- java.lang.Object
- - com.verisign.epp.codec.registry.EPPRegistryMinMax
  - - com.verisign.epp.codec.registry.EPPRegistryDomainHostLimit

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPRegistryDomainHostLimit
      extends EPPRegistryMinMax

  DOCUMENT ME!
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_NAME` | DOCUMENT ME!

    - ### Fields inherited from class com.verisign.epp.codec.registry.EPPRegistryMinMax

      `ELM_MAX, ELM_MAX_LENGTH, ELM_MIN, ELM_MIN_LENGTH, elmMax, elmMin, max, min, rootName`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPRegistryDomainHostLimit()` | Creates a new EPPRegistryDomainHostLimit object.
    `EPPRegistryDomainHostLimit​(int min, int max)` | Creates a new EPPRegistryDomainHostLimit object.
    `EPPRegistryDomainHostLimit​(java.lang.Integer min, java.lang.Integer max)` | Creates a new EPPRegistryDomainHostLimit object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object aObject)` | DOCUMENT ME!

    - ### Methods inherited from class com.verisign.epp.codec.registry.EPPRegistryMinMax

      `clone, decode, encode, getElmMax, getElmMin, getMax, getMin, getNamespace, getRootName, setElmMax, setElmMin, setMax, setMin, setRootName, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      DOCUMENT ME!
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryDomainHostLimit

          public EPPRegistryDomainHostLimit()

      Creates a new EPPRegistryDomainHostLimit object.

    - #### EPPRegistryDomainHostLimit

          public EPPRegistryDomainHostLimit​(java.lang.Integer min,
                                            java.lang.Integer max)

      Creates a new EPPRegistryDomainHostLimit object.
      Parameters:
        `min` - DOCUMENT ME!
        `max` - DOCUMENT ME!

    - #### EPPRegistryDomainHostLimit

          public EPPRegistryDomainHostLimit​(int min,
                                            int max)

      Creates a new EPPRegistryDomainHostLimit object.
      Parameters:
        `min` - DOCUMENT ME!
        `max` - DOCUMENT ME!

  - ### Method Detail

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      DOCUMENT ME!
      Overrides:
        `equals` in class `EPPRegistryMinMax`
      Parameters:
        `aObject` - DOCUMENT ME!
      Returns:
        DOCUMENT ME!